For the complete documentation index, see llms.txt. This page is also available as Markdown.

DescribeNatGatewayDetail

1. API Description

This API (DescribeNatGatewayDetail) is used to query the details of a NAT gateway, including its DNAT and SNAT rules.

2. Input Parameters

The following request parameter list only provides API request parameters.

Parameter Name
Required
Type
Description

natGatewayId

Yes

String

NAT gateway ID.

It can be obtained by calling DescribeNatGateways.

3. Output Parameters

Parameter Name
Type
Description

requestId

String

The unique request ID, which is returned for each request.

RequestId is required for locating a problem.

natGatewayId

String

The unique ID of the NAT gateway.

name

String

NAT gateway name.

snats

Array of SnatEntry

SNAT rule list.

dnats

Array of DnatEntry

DNAT rule list.

4. Code Example

1. Query the details of a gateway rule.

POST /api/v2/zec HTTP/1.1
Host: console.zenlayer.com
Content-Type: application/json
X-ZC-Action: DescribeNatGatewayDetail
<Common Request Params>

Request:
{
    "natGatewayId": "<natGatewayId>"
}

Response:
{
  "requestId": "T05992D0C-7E8B-4047-B0C0-780F2CD549D3",
  "response": {
    "requestId": "T05992D0C-7E8B-4047-B0C0-780F2CD549D3",
    "natGatewayId": "<natGatewayId>",
    "name": "name",
    "snats": [
      {
        "snatEntryId": "<snatEntryId>",
        "eipIds": ["<eipId>"],
        "cidrs": ["0.0.0.0/0"],
        "eipIds": ["<eipId>"],
        "snatSubnets": null
      }
    ],
    "dnats": [
      {
        "dnatEntryId": "<dnatEntryId>",
        "status": "ACTIVE",
        "privateIp": "<privateIp>",
        "eipId": "<eipId>",
        "protocol": "TCP",
        "listenerPort": "1-30",
        "internalPort": "1-30"
      }
    ]
  }
}

5. Developer Resources

Zenlayer Cloud API 2.0 integrates SDKs,to make it easier for you to call APIs. More programming languages will be supported.

6. Error Codes

The following only lists the error codes related to the API business logic. For other error codes, see Common Error Codes.

HTTP Status Code
Error Code
Description

404

INVALID_NAT_NOT_FOUND

NAT gateway does not exist.

400

UNSUPPORTED_OPERATION_NAT_STATUS

NAT gateway state is not supported.

Last updated